<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/scroller"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="6dp" >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical" >

        <LinearLayout
            android:id="@+id/explainThisHeadingWrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginBottom="6dp"
            android:background="@drawable/white_line_button_background"
            android:clickable="true"
            android:paddingBottom="2dp"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            android:paddingTop="2dp" >

            <TextView
                android:id="@+id/explainThisExpander"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="-"
                android:textColor="@color/off_white"
                android:textSize="20sp" />

            <TextView
                android:id="@+id/explainThisLabel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="8dp"
                android:text="Explain This"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </LinearLayout>

        <TextView
            android:id="@+id/help"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="-8dp"
            android:padding="6dp"
            android:text="Window help string goes here."
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <LinearLayout
            android:id="@+id/inputWrapper"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal" >

            <RelativeLayout
                android:id="@+id/treeImageWrapper"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" >

                <ImageView
                    android:id="@+id/home"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentTop="true"
                    android:focusable="true"
                    android:focusableInTouchMode="true"
                    android:src="@drawable/overhang_blank" />

                <ImageView
                    android:id="@+id/tree"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:layout_alignParentBottom="true"
                    android:src="@drawable/tree3" />
            </RelativeLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/shadeSliderWrapper"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp" >

            <SeekBar
                android:id="@+id/shade_seekbar"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="32dp"
                android:layout_marginRight="8dp"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/shade_percent"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_weight="0.25"
                android:text="###%"
                android:textColor="@color/off_white"
                android:textSize="16sp" />
        </LinearLayout>
    </LinearLayout>

</ScrollView>